Scan Management

Scan Management in Windows Server 2008 R2 helps automate document workflow and provides a central administration point for managing your network scan resources. You can use Scan Management to monitor network scanners, install scan servers, process scanned documents and route scanned documents to network folders, to Windows SharePoint Services Web sites, and to e-mail recipients in your domain network.

  • Overview of Print and Document Services

  • Overview of Scan Management

  • Checklist: Install, Configure, and Get Started with Scan Management

  • Install and Configure a Scan Server

  • Managing From a Client Computer

  • Managing Scan Servers

  • Managing Scan Processes

  • Managing Scanners

  • Resources for Scan Management


Overview of Print and Document Services

Print and Document Services is a server role in Windows Server 2008 R2 that enables you to share printers and scanners on a network, set up print servers and scan servers, and centralize network printer and scanner management tasks. You can do these tasks using the Print Management and Scan Management Microsoft Management Console (MMC) snap-ins. You can use the snap-ins to monitor network printers and scanners, and to manage Windows print servers and scan servers in your organization.

Managing print and scan resources

There are three primary tools that you can use to manage Windows print servers and scan servers:

  • Server Manager

  • Print Management

  • Scan Management

In Windows Server 2008 R2, you use Server Manager to install the Print and Document Services server role and role services. These role services also install the Print Management and Scan Management snaps-ins.

The Print Management and Scan Management snaps-ins are also available on computers running Windows 7.

Print Management helps you to monitor print queues and receive notifications when print queues stop processing print jobs. It also enables you to migrate print servers and deploy printer connections using Group Policy.

Scan Management enables you to monitor network scanners and scan servers, process scanned documents, and then route the scanned documents to network folders, Windows SharePoint Web sites, and to e-mail recipients.

Print and Document Services role services

The Print and Document Services role in Windows Server 2008 R2 includes four relevant role services for managing print and scan resources. The first three role services provide the functionality for a print server, while Distributed Scan Server provides the functionality for a scan server. You can add these role services while you are installing the Print and Document Services role using the Add Roles Wizard for Server Manager. Or you can install them at a later time using the Add Role Services Wizard for Server Manager.

Note

Because Windows 7 is a client operating system, it does not include role services. Instead, it includes the Print Management and Scan Management MMC snap-ins. Windows 7 also includes the Line Printer Daemon (LPD) Print Service role service as an optional Windows feature. Windows 7 does not include the Internet Printing or Distributed Scan Server role services.

Print Server role service

Print Server is a role service of the Print and Document Services role, and installs the Print Management snap-in. You can use Print Management to manage multiple network printers or print servers, and migrate printers to and from other Windows print servers.

LPD Service role service

The LPD Service role service that installs and starts the TCP/IP Print Server (LPDSVC) service, which enables UNIX-based computers or other computers that are using the Line Printer Remote (LPR) service to print to shared printers on this server.

Internet Printing role service

The Internet Printing role service in Windows Server 2008 R2 creates a Web site hosted by Internet Information Services (IIS). This Web site enables users to manage print jobs on the server, and to use a Web browser to connect and print to shared printers on the server by using the Internet Printing Protocol (IPP). (Users must have Internet Printing Client installed.)

Distributed Scan Server role service

Distributed Scan Server is a role service that installs the Scan Management snap-in. You can use Scan Management to monitor multiple network scanners, configure scan servers, process scanned documents, and then route the scanned documents throughout your network.

Additional references

For more information about the Print and Document Services role, see http://go.microsoft.com/fwlink/?LinkID=127821.


Overview of Scan Management

You can use Scan Management to administer your domain scan resources from a central location. With Scan Management, you can automate document workflow by creating scan processes, which are a set of rules that specify scan processing and document delivery on your network. In addition, you can monitor scanners on your network and log all scan-related events. You use the Scan Management snap-in to monitor scanners, configure scan servers, and create scan processes.

After you install the required components for Scan Management on a computer running Windows Server 2008 R2, you can do the following:

  • Specify scan settings and monitor Web Services on Devices (WSD)–enabled scanners.

  • Setup and configure scan servers used to communicate with WSD–enabled scanners.

  • Create scan processes. These processes specify user permissions, document scan settings, and delivery of scanned documents on your network.

  • Configure logging to track the use of scan resources and scan events.

Scan Management components

Scan Management includes the following components. All components are installed on a computer running Windows Server 2008 R2.

You must also use WSD–enabled scanners to benefit from Scan Management. TCP/IP scanners are not supported.

  • Print and Document Services role. Using the Add Roles Wizard, you first install the Print and Document Services role using Server Manager. The Print and Document Services role includes four role services—three are required to manage your network print resources and one is required to manage your network scan resources.

  • Distributed Scan Server role service. You next install the Distributed Scan Server role service using the Add Role Services Wizard.

  • Scan Server. After you install the Distributed Scan Server role service, you can use the Scan Server Configuration Wizard later to configure a scan server. Scan servers are used to run scan processes, which are rules that define scan settings and delivery of scanned documents on your network.

  • Scan Management snap-in. Scan Management is the Microsoft Management Console (MMC) snap-in that is installed with the Distributed Scan Server role service. This snap-in provides a central administration point for managing your WSD–enabled scanners, scan servers, and scan processes for users and groups.

    The Scan Management snap-in is also installed by default on computers running Windows 7 Ultimate and Windows 7 Enterprise so that you can administer your scan resources remotely.

Scan Management document workflow

The following are the process steps that occur when a document is scanned and delivered on your network. This assumes that a scan server has already been installed and configured, and that you have a WSD–enabled “enterprise” scanner on your network.

  1. Using the Scan Management snap-in, one or more scanners are selected to manage.

  2. Using the Scan Management snap-in, one or more scan processes are created for users and groups.

  3. Scan processes are automatically saved to Active Directory Domain Services (AD DS).

  4. User logs on to a scanner and is authenticated.

  5. Scan processes created for that user to use are loaded from AD DS and displayed on the scanner front panel.

  6. User selects the desired scan process and starts a document scan.

  7. Scanned document and selected scan process information are sent to the scan server.

  8. Scan server runs the scan process the user selected. Scanned document can be sent to a network folder, a Windows SharePoint Web site, to e-mail recipients, or any combination of these.

  9. Scan server logs the results of the scan, and sends notification to the user on the scanner front panel.

  10. If the scan process specified e-mail delivery of a document, user is notified in e-mail that the document was delivered.

Additional resources

  • For more information about scanners that are compatible with Scan Management, see Understanding Web Services Scanners.

  • Scan Management

  • Install and Configure a Scan Server


Checklist: Install, Configure, and Get Started with Scan Management

This checklist will help you install the required components for Scan Management and get you started.

Task | References
Review the basic concepts as needed. | Overview of Scan Management
Install a scan server by installing the Print and Document Services role and the Distributed Scan Server role service. | Install and Configure a Scan Server
Configure the scan server by specifying the service account, local temporary folder, SMTP mail server, server certificate, and user security permissions. | Add Roles Wizard or Add Role Services Wizard, Adding Server Roles and Features (http://go.microsoft.com/fwlink/?LinkId=144123).
Add the scan server to manage it from the Scan Management snap-in. | Add or Remove a Scan Server
Connect a suitable Web Services on Devices (WSD)–enabled scanner to your domain network. | Understanding Web Services Scanners
Add the scanner to manage it from the Scan Management snap-in. | Add or Remove a Scanner
Create a scan process for users or groups. | Understanding Scan Processes, Create a New Scan Process
At the scanner, scan a document and verify the results in Event Viewer. | View Scan Server Events
Begin to the scan server, monitor scanners, and modify scan processes for users and groups. | Managing Scan Servers, Managing Scan Processes, Managing Scanners

Additional considerations

The service account is created with more permissions than are required to run scan processes. Write and List permissions are needed in order to run scan processes. The Read permission is needed to read scan processes stored in Active Directory Domain Services. You should consider removing unneeded permissions from the service account.

You should select a certificate issued by a certification authority (CA) that is trusted by clients connecting to the scan server. The subject name of the certificate must match the fully qualified domain name (FQDN) of the server.

Additional references

  • Scan Management


Install and Configure a Scan Server

Scan servers are used to communicate with scanners that support Web Services on Devices (WSD), run scan processes, route scanned documents, and log scan-related events. On a computer running Windows Server 2008 R2, you first install the Print and Document Services role and then install the Distributed Scan Server role service in Server Manager. The Distributed Scan Server role service also installs the Scan Management snap-in.

After a scan server is installed, you can use the Scan Server Configuration Wizard to modify existing server settings.

To install and configure a scan server

  1. Open Server Manager.

  2. In the left pane, click Roles, and do the following:

    1. If the Print and Document Services role is not installed, in the right pane, click Add Roles. Follow the instructions in the Add Roles Wizard to specify the domain user service account, local temporary folder, SMTP mail server for e-mailing scanned documents, server authentication certificate, and user and group security permissions.

    2. If the Print and Document Services role is already installed, in the left pane, click Roles, and then click Print and Document Services. Follow the instructions in the Add Roles Services Wizard to specify the domain user service account, local temporary folder, SMTP mail server for e-mailing scanned documents, server authentication certificate, and user and group security permissions.

Additional considerations

  • To open Server Manager, click Start, point to Administrative Tools, and click Server Manager.

  • You can also perform this task by using Windows PowerShell. For more information about using Windows PowerShell, see http://go.microsoft.com/fwlink/?LinkID=135119.

  • You can also perform this task using the command line by clicking Start, clicking Run, and then typing the following respectively to add or remove this role service:

    ServerManagerCmd.exe –install Print-Scan-Server

    ServerManagerCmd.exe –remove Print-Scan-Server

  • The service account is created with more permissions than are required to run scan processes. Write and List permissions are needed in order to run scan processes. The Read permission is needed to read scan processes stored in Active Directory Domain Services. You should consider removing unneeded permissions from the service account.

  • You should select a certificate issued by a certification authority (CA) that is trusted by clients connecting to the scan server. The subject name of the certificate must match the fully qualified domain name (FQDN) of the server.

Additional references

  • Overview of Scan Management

  • Managing Scan Servers

  • Scan Management


Managing From a Client Computer

You can manage and monitor scan processes, scanners, scan events—and modify settings on a scan server—remotely using the Scan Management snap-in that is installed on client computers running Windows 7 Enterprise or Windows 7 Ultimate. If the scan server is running in authenticated mode, you will need to select a client certificate as described in the procedure.

To manage from a client computer

  1. On a client computer, click Start, type scanmanagement.msc in the Search programs and files box and then press ENTER.

  2. In the left pane, double-click Scan Management and then double-click Scan Servers.

  3. Right-click Scan Servers, and then click Select Client Certificate.

  4. In the Windows Security dialog box, select a certificate and then click OK.

  5. Complete the task normally as described in the Managing Scan Servers, Managing Scan Processes, and Managing Scanners sections.

Additional considerations

  • To open the Scan Management snap-in on a computer running Windows Server 2008 R2, click Start, point to Administrative Tools, and click Scan Management. The Print and Document Services role and the Distributed Scan Server role service in Server Manager must be installed first.

Additional references

  • Managing Scan Servers

  • Managing Scan Processes

  • Managing Scanners


Managing Scan Servers

The following topics contain information about managing your scan servers:

  • Add or Remove a Scan Server

  • Modify Settings for a Scan Server

  • Start or Stop the Distributed Scan Server Service

  • View Scan Server Events

Additional references

  • Scan Management


Add or Remove a Scan Server

Using the Scan Management snap-in, you can add or remove the scan servers you want to monitor and manage from a central location.

To add or remove a scan server

  1. Open Scan Management.

  2. In the left pane, right-click Scan Servers, and then click Add a Scan Server.

  3. In the Manage a Scan Server dialog box, type the host name, IP address or URI of the scan server, click Add, and then click OK.

  4. To remove a scan server, select the server name from the list, click Remove, and then click OK.

Additional considerations

  • To open Scan Management, click Start, point to Administrative Tools, and click Scan Management.

  • In order to view available scan servers on your network, ensure that network discovery is turned on.

    To turn on network discovery, click Start, click Control Panel, and then click Network and Internet. On the Network and Internet page, click Network and Sharing Center. On the Network and Sharing Center page, click Change advanced sharing settings. On the Advanced sharing settings page, click the arrow next to Domain arrow, click turn on network discovery, and then click Save changes.

  • Subnet search of scan servers is not supported.

Additional references

  • Managing Scan Servers


Modify Settings for a Scan Server

From a computer running Windows Server 2008 R2, you can modify the configuration settings for a scan server using the Scan Server Configuration Wizard.

To modify settings for a scan server

  1. Open Server Manager.

  2. In the left pane, click Roles and then click Print and Document Services.

  3. In the right pane, click Scan Server Configuration Wizard.

  4. Follow the instructions in the Scan Server Configuration Wizard to change the scan server service account, scanned document settings, document delivery used, server authentication certificate, and user security settings.

Additional considerations

  • To open Server Manager, click Start, point to Administrative Tools, and then click Server Manager.

  • You can also run the Scan Server Configuration Wizard on the local server from the command line. Click Start, click Run, and then type:

    rundll32.exe SMCNative.dll,InvokeConfigScanServerWizard

  • Use Remote Desktop to run the Scan Server Configuration Wizard on a remote server.

  • The scan server service account is created with more permissions than are required to run scan processes. Only Write and List permissions are needed in order to run scan processes. You should consider removing unneeded permissions from the service account.

  • You should always select a certificate issued by a certification authority (CA) that is trusted by clients and devices connecting to the scan server. The subject name of the certificate must match the fully qualified domain name (FQDN) of the scan server.

Additional references

  • Managing Scan Servers


Start or Stop the Distributed Scan Server Service

On a computer running Windows Server 2008 R2, you can start, stop, or pause the Distributed Scan Server service for a scan server.

To start or stop the Distributed Scan Server service

  1. Click Start, point to Administrative Tools, and then click Services.

  2. Right-click Distributed Scan Server service and do the following:

    1. Click Start to start this service.

    2. Click Stop to stop this service.

    3. Click Pause to pause this service.

    4. Click Resume to resume this service.

    5. Click Restart to restart this service.

Additional considerations

  • You can also use the Print and Document Services role page in Server Manager to perform this task.

  • Use Remote Desktop to perform this task from a remote server.

Additional references

  • Understanding Scan Processes


View Scan Server Events

Using the Scan Management snap-in in conjunction with Event Viewer, you can view scan-related events logged by a scan server.

To view scan server events

  1. Open Scan Management.

  2. In the left pane, click Scan Servers.

  3. In the center pane, right-click the applicable scan server, and do the following:

    1. Click View All Logs to view both administrative and operational scan events.

    2. Click View Admin Logs to view only administrative scan events.

    3. Click View Operational Logs to view only operational scan events.

    4. In Event Viewer, in the center pane, you can view, filter, and save scan events.

Additional considerations

  • To open Scan Management, click Start, point to Administrative Tools, and click Scan Management.

  • To allow scan server events to be viewed from a remote computer using Remote Desktop, the Remote Event Log Management rule must be enabled in Windows Firewall. To allow this, click Start, point to Administrative Tools, and click Windows Firewall with Advanced Security. In the left pane, click Inbound Rules and in the center pane, right-click Remote Event Log Management and then click Enable Rule.

  • In a domain with Internet Protocol security (IPsec) enabled, scanners must support and be configured for IPsec in order for scanner events to be logged. IPsec does not allow scanners that are not IPsec compliant to send data to a scan server that is in a domain with IPsec enabled.

Additional references

  • Understanding Scan Processes

  • Understanding Web Services Scanners


Managing Scan Processes

You can use the Scan Management snap-in to define rules for how documents are scanned and where they are sent on your network. The following topics contain information about managing scan processes:

  • Understanding Scan Processes

  • Create a New Scan Process

  • Change a Scan Process Name

  • Change a Document File Name Prefix

  • Change Document Scan Settings

  • Change a Document Destination

  • Specify a Different Scan Server

  • Change Permissions for Scan Users and Groups

Additional references

  • Scan Management


Understanding Scan Processes

A scan process is a rule or set of instructions that define how a document is scanned, where or who it is delivered to on your network, and what users and groups are allowed to apply the rule to their scanned documents. In essence, it automates document workflow.

A scan process is selected by a user at the front panel of a scanner that supports Web Services on Devices (WSD) at the time the document is scanned. The scan process is then run by the scan server and results are displayed to the user at the scanner.

Scanned document processing

A scan process can specify how a document is scanned. Scan settings include image resolution setting, color format setting, and file type. These settings are defined as part of the scan process rules. These settings may also be validated to make sure the settings are compatible with the scanner associated with the particular scan process. Scan settings can be overridden at the scanner by a user if the scan process is defined as such.

Scanned document delivery

A scan process can specify where scanned document images are sent—to a network shared folder, a Windows SharePoint Web site, to e-mail recipients, or any combination of these.

Active Directory communications

Scan process information is stored in Active Directory Domain Services (AD DS). When you create a new scan process using the Add Scan Process Wizard, or modify an existing scan process using the Scan Management snap-in, this data is saved in AD DS.

When a user logs on to a WSD-enabled scanner and is authenticated, the allowable scan processes created for that user are retrieved from AD DS and displayed on the scanner front panel.

Security considerations

Scan processes sent from scanners can be run on a scan server that is running in either authenticated mode or unauthenticated mode. In authenticated mode, a server authentication certificate is used to communicate with scanners using the Secure Sockets Layer (SSL) protocol (HTTPS connection) to encrypt network traffic. In unauthenticated mode, no certificate is used and the scan server will accept unauthenticated scan processes from all scanners.

In the event that a scan server computer fails and the scan server was running in unauthenticated mode and running scan processes from unauthenticated scanners, there will be pending scan processes for the scan server to run on restart. If you restart the scan server and then configure it to run in authenticated mode using the Scan Server Configuration Wizard, the scan server will continue processing unauthenticated scan processes until the scan queue is empty.

Additional references

  • Managing Scan Processes

  • Overview of Scan Management

  • Understanding Web Services Scanners


Create a New Scan Process

Using the Scan Management snap-in, you can create new scan processes. You should create at least one scan process after configuring a scan server.

To create a new scan process

  1. Open Scan Management.

  2. In the left pane, click Scan Management, and then click Scan Processes.

  3. Under Actions (on the right), click Add a Scan Process.

  4. Follow the instructions in the Add Scan Process Wizard to define scan settings, select a scan server, define document destination, and select the security mode.

Additional considerations

  • To open Scan Management, click Start, point to Administrative Tools, and then click Scan Management.

  • You must have Write permissions in Active Directory Domain Services to create a scan process.

Additional references

  • Understanding Scan Processes

  • Managing Scan Processes


Change a Scan Process Name

Using the Scan Management snap-in, you can change the name and description for an existing scan process.

To change a scan process name

  1. Open Scan Management.

  2. In the left pane, click Scan Management, and then click Scan Processes.

  3. In the results pane, right-click the applicable scan process, and then click Properties.

  4. On the Name tab, change the name and description as needed.

  5. When finished, click OK.

Additional considerations

  • To open Scan Management, click Start, point to Administrative Tools, and then click Scan Management.

  • You must have Full Access or Modify permissions in order to change or modify a scan process.

Additional references

  • Understanding Scan Processes

  • Managing Scan Processes


Change a Document File Name Prefix

Using the Scan Management snap-in, you can change the file name prefix added to scanned documents for an existing scan process.

To change a document filename prefix

  1. Open Scan Management.

  2. In the left pane, click Scan Management, and then click Scan Processes.

  3. In the results pane, right-click the applicable scan process, and then click Properties.

  4. On the Destinations tab, type a file name prefix as desired.

  5. When finished, click OK.

Additional considerations

  • To open Scan Management, click Start, point to Administrative Tools, and then click Scan Management.

  • You must have Full Access or Modify permissions in order to change or modify a scan process.

Additional references

  • Understanding Scan Processes

  • Managing Scan Processes


Change Document Scan Settings

Using the Scan Management snap-in, you can change the document scan settings for an existing scan process. This allows you to change the color format, file type, and resolution settings for documents at the time of scan. You also verify that these settings are compatible with a specific scanner.

To change document scan settings

  1. Open Scan Management.

  2. In the left pane, click Scan Management, and then click Scan Processes.

  3. In the results pane, right-click the applicable scan process, and then click Properties.

  4. On the Scan Ticket tab, do one or more of the following:

    1. Click the down-arrow of the Color format drop-down box and select an image color format and depth to save the scanned document to.

    2. Click the down-arrow of the File type drop-down box and select a file type to save the scanned document as.

    3. Click the down-arrow of the Resolution drop-down box and select an image resolution to save the scanned document to.

  5. To allow a user to select scan settings at the scanner and override settings specified for this scan process, select the applicable Allow value override at scanner check box.

  6. Click Verify that these settings will work with your scanner.

  7. In the Validate Scan Ticket Settings dialog box, type the name of the scanners you want to verify setting compatibility with, and then click Start.

  8. When finished, click Done, and then click OK.

Additional considerations

  • To open Scan Management, click Start, point to Administrative Tools, and then click Scan Management.

  • You must have Full Access or Modify permissions in order to change or modify a scan process.

Additional references

  • Understanding Scan Processes

  • Managing Scan Processes


Change a Document Destination

Using the Scan Management snap-in, you can specify the destination of scanned documents for an existing scan process. The following options are available: save the scan to a network folder, post it on a Windows SharePoint Web site, send it to an e-mail recipient, or any combination of these.

To change a document destination

  1. Open Scan Management.

  2. In the left pane, click Scan Management, and then click Scan Processes.

  3. In the results pane, right-click a scan process, and then click Properties.

  4. On the Destinations tab, do one or more of the following:

    1. Select the Save to a network folder check box, click Browse, and select a network folder.

    2. Select the Send as e-mail check box and type the recipient’s e-mail addresses. To allow a user to enter e-mail addresses at the scanner front panel, select the Allow users to enter e-mail addresses at the scanner check box.

    3. Select the Save to a Windows SharePoint Services site check box, and type the full URL to the Web site.

  5. When finished, click OK.

Additional considerations

  • To open Scan Management, click Start, point to Administrative Tools, and then click Scan Management.

  • You must have Full Access or Modify permissions in order to change or modify a scan process.

  • In order to view available network folders and Windows SharePoint Web sites, ensure that network discovery is turned on.

    To turn on network discovery, click Start, click Control Panel, and then click Network and Internet. On the Network and Internet page, click Network and Sharing Center. On the Network and Sharing Center page, click Change advanced sharing settings. On the Advanced sharing settings page, click the arrow next to Domain arrow, click turn on network discovery, and then click Save changes.

Additional references

  • Understanding Scan Processes

  • Managing Scan Processes


Specify a Different Scan Server

Using the Scan Management snap-in, you can specify a different scan server for running an existing scan process. When specifying a different scan server, review the settings shown on the Destinations tab of the Scan Process properties page to ensure that the same routing options are available for the new scan server you select.

To specify a different scan server

  1. Open Scan Management.

  2. In the left pane, click Scan Management, and then click Scan Processes.

  3. In the results pane, right-click a scan process, and then click Properties.

  4. On the Scan Server tab, select a different scan server from the drop-down list.

  5. When finished, click OK.

Additional considerations

  • To open Scan Management, click Start, point to Administrative Tools, and then click Scan Management.

  • You must have Full Access or Modify permissions in order to change or modify a scan process.

  • In order to view available scan servers to select from, ensure that network discovery is turned on.

    To turn on network discovery, click Start, click Control Panel, and then click Network and Internet. On the Network and Internet page, click Network and Sharing Center. On the Network and Sharing Center page, click Change advanced sharing settings. On the Advanced sharing settings page, click the arrow next to Domain arrow, click turn on network discovery, and then click Save changes.

Additional references

  • Understanding Scan Processes

  • Managing Scan Processes


Change Permissions for Scan Users and Groups

Using the Scan Management snap-in, you can define permissions for users and groups for an existing scan process. Authenticated users will then be able to log on to a Web Services on Devices (WSD)–enabled scanner and select from a list of scan processes to apply to their scanned documents.

To change permissions for scan Users and Groups

  1. Open Scan Management.

  2. In the left pane, click Scan Management, and then click Scan Processes.

  3. In the results pane, right-click a scan process, and then click Properties.

  4. On the Security tab, under Group or users names, click a user or group for which you want to set permissions.

  5. Under Permissions for <user or group name>, select the Allow or Deny check boxes for the permissions as needed.

  6. To edit Special permissions, click Advanced.

  7. On the Permissions tab, click a user group, and then click Edit.

  8. In the Permission Entry for Fax dialog box, select the Allow or Deny check boxes for the permissions that you want to edit.

Additional considerations

  • You must have Full Access or Modify permissions in order to change permissions for users and groups.

  • To open Scan Management, click Start, point to Administrative Tools, and then click Scan Management.

Additional references

  • Understanding Scan Processes

  • Understanding Web Services Scanners

  • Managing Scan Processes


Managing Scanners

You can use the Scan Management snap-in to add, remove, and view properties for scanners that support Web Services on Devices (WSD). The following topics contain information about managing scanners in your network:

  • Understanding Web Services Scanners

  • Add or Remove a Scanner

  • View Scanner Properties

Additional references

  • Scan Management


Understanding Web Services Scanners

Scanners are used to create images of documents. A scanner can be a network-connected stand-alone device, or a scanner function in a network-connected copier or multifunction printer. For Scan Management, scanners at a minimum must support Web Services on Devices (WSD), including Devices Profile for Web Services (DPWS). TCP/IP-based network scanners are not supported.

When users take their documents to a scanner, they first authenticate themselves to the scanner by logging on using a card reader or keypad interface. Scan processes that have been previously created for the users by an administrator are retrieved from Active Directory Domain Services (AD DS) and displayed on the scanner front panel. The users then select the desired scan process, and press the Scan button.

Scanned document images are then sent to a scan server for processing, network storage, or e-mail delivery. The scanner sends scan process information and device status information to the scan server as well. The users get feedback on the scanner front panel as to whether the scan server received the scanned document and ran the scan process. An example of a scan process would be: scan at 300 dpi resolution, post the documents to the department Web site, and send the documents to selected e-mail recipients.

Enterprise scanner requirements

Scan Management is capable of monitoring and displaying settings and properties for WSD–enabled scanners (the Epson Artisan 800 model is an example). In order to make use of scan processes and get the most benefit from Scan Management, WSD–enabled scanners must also support the following additional “enterprise-level” functionality.

Web Services protocol support

In addition to supporting WSD, including DPWS, scanners must support the following Web Service protocols:

  • The host side of the WSD Enterprise Scan Web Service (EWS) protocol.

  • The client side of the WSD Repository Processing Web Service (RPWS) protocol.

Active Directory communications

Scanners must support the following communications with AD DS:

  • Querying for and retrieving a user object from AD DS.

  • Retrieving user credentials (for example, from a card reader attached to the scanner) and sending them to AD DS.

Certificate security

Scanners must provide the following security features:

  • Ability to manage and validate user and scan server certificates.

  • Ability to create an HTTPS connection to a scan server.

IPsec compliance

Scanners must support and be configured for Internet Protocol security (IPsec) in order for Web Services events to be logged. IPSec does not allow non-IPsec–compliant scanners to send data to a scan server that is in a domain with IPsec enabled.

User interface

The scanner must provide an interface to enable the following actions by the user:

  • Select from a list of scan processes retrieved from AD DS that the user is authorized to use.

  • Provide a list of e-mail addresses if a scan process includes e-mail support.

Additional references

  • For information about scanner hardware compatibility for Scan Management, see the Windows Server catalog (http://go.microsoft.com/fwlink/?LinkId=139145).

  • Understanding Scan Processes

  • Managing Scanners


Add or Remove a Scanner

Using the Scan Management snap-in, you can add or remove scanners you want to manage on your network. Scanners must support Web Services on Devices (WSD). TCP/IP scanners are not supported. For a list of other scanner requirements, see Understanding Web Services Scanners.

To add or remove a scanner

  1. Open Scan Management.

  2. In the left pane, click Scan Management, right-click Managed Scanners, and then click Manage.

  3. To add a scanner, in the Add or Remove Scanners dialog box, type the host name, IP address, or URI of the scanner, and then click Add.

  4. To remove a scanner, select the scanner from the list and then click Remove.

  5. When finished, click OK.

Additional considerations

  • To open Scan Management, click Start, point to Administrative Tools, and then click Scan Management.

  • In order to view available scanners on your network, ensure that network discovery is turned on.

    To turn on network discovery, click Start, click Control Panel, and then click Network and Internet. On the Network and Internet page, click Network and Sharing Center. On the Network and Sharing Center page, click Change advanced sharing settings. On the Advanced sharing settings page, click the arrow next to Domain arrow, click turn on network discovery, and then click Save changes.

  • Subnet search of scanners is not supported.

Additional references

  • Managing Scanners

  • Understanding Web Services Scanners


View Scanner Properties

Using the Scan Management snap-in, you can view the properties for scanners on your network. Scanners must support Web Services on Devices (WSD). For a list of scanner requirements, see Understanding Web Services Scanners.

You are able to view detailed information such as device properties, file formats supported, scan resolutions supported, color processing, film scan modes, and other information. In addition, you can also see scanned document history, such as number of pages scanned, time and date of scans, scan processes selected, and user logon information.

To view scanner properties

  1. Open Scan Management.

  2. In the left pane, click Scan Management, right-click Managed Scanners, and then click Properties.

Additional considerations

  • To open Scan Management, click Start, point to Administrative Tools, and then click Scan Management.

  • In order to view available scanners on your network, ensure that network discovery is turned on.

    To turn on network discovery, click Start, click Control Panel, and then click Network and Internet. On the Network and Internet page, click Network and Sharing Center. On the Network and Sharing Center page, click Change advanced sharing settings. On the Advanced sharing settings page, click the arrow next to Domain arrow, click turn on network discovery, and then click Save changes.

  • Subnet search of scanners is not supported.

Additional references

  • Managing Scanners

  • Understanding Web Services Scanners


Resources for Scan Management

Use the following resources on the Microsoft Web site for more information:

  • For technical information about distributed scan management, see http://go.microsoft.com/fwlink/?LinkId=144065.

  • For information about Web Services on Devices (WSD) for scanners, see http://go.microsoft.com/fwlink/?LinkId=144068.

  • For general information about Web Services on Devices (WSD), see http://go.microsoft.com/fwlink/?LinkId=144074.

Additional references

  • Scan Management